> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Legal Holds List Held Revisions Continue

POST https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue
Content-Type: application/json

Continue listing the file metadata that's under the hold.
 Note: Legal Holds is a paid add-on. Not all teams have the feature.

 Permission : Team member file access.

**Required scope:** `team_data.governance.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/legal-holds-list-held-revisions-continue

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `id` (string, required) — The legal hold Id.
- `cursor` (string, optional, nullable) — The cursor idicates where to continue reading file metadata entries for the next API call. When there are no more entries, the cursor will return none.

## Response

### 200

Successful response

- `entries` (list of object, required) — List of file entries that under the hold.
  - `author_email` (string, required) — The email address of the held revision author.
  - `author_member_id` (string, required) — The member id of the revision's author.
  - `author_member_status` (object or object or object or object, required) — The member status of the revision's author.
    - team.TeamMemberStatus.active
      - `.tag` (enum, required)
        - Allowed values: `active`
    - team.TeamMemberStatus.invited
      - `.tag` (enum, required)
        - Allowed values: `invited`
    - team.TeamMemberStatus.suspended
      - `.tag` (enum, required)
        - Allowed values: `suspended`
    - team.TeamMemberStatus.removed
      - `.tag` (enum, required)
        - Allowed values: `removed`
      - `is_disconnected` (boolean, required) — True if the team member's account was converted to individual account.
      - `is_recoverable` (boolean, required) — True if the removed team member is recoverable.
  - `content_hash` (string, required) — A hash of the file content. This field can be used to verify data integrity. For more information see our [Content hash](https://www.dropbox.com/developers/reference/content-hash) page.
  - `file_type` (string, required) — The type of the held revision's file.
  - `new_filename` (string, required) — The held revision filename.
  - `original_file_path` (string, required) — The original path of the held revision.
  - `original_revision_id` (string, required) — The id of the held revision.
  - `server_modified` (datetime, required) — The last time the file was modified on Dropbox.
  - `size` (uint64, required) — The file size in bytes.
- `has_more` (boolean, required) — True if there are more file entries that haven't been returned. You can retrieve them with a call to /legal_holds/list_held_revisions_continue.
- `cursor` (string, optional, nullable) — The cursor idicates where to continue reading file metadata entries for the next API call. When there are no more entries, the cursor will return none. Pass the cursor into /2/team/legal_holds/list_held_revisions/continue.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object, required)
  - team.LegalHoldsListHeldRevisionsError.unknown_legal_hold_error
    - `.tag` (enum, required)
      - Allowed values: `unknown_legal_hold_error`
  - team.LegalHoldsListHeldRevisionsError.insufficient_permissions
    - `.tag` (enum, required)
      - Allowed values: `insufficient_permissions`
  - team.LegalHoldsListHeldRevisionsError.transient_error
    - `.tag` (enum, required)
      - Allowed values: `transient_error`
  - team.LegalHoldsListHeldRevisionsError.legal_hold_still_empty
    - `.tag` (enum, required)
      - Allowed values: `legal_hold_still_empty`
  - team.LegalHoldsListHeldRevisionsError.inactive_legal_hold
    - `.tag` (enum, required)
      - Allowed values: `inactive_legal_hold`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "id": "pid_dbhid:abcd1234"
}
```

**Response**

```json
{
  "entries": [
    {
      "author_email": "a@a.com",
      "author_member_id": "dbmid:abcd1234abcd1234abcd1234abcd1234a23",
      "author_member_status": {
        ".tag": "active"
      },
      "content_hash": "abcd1234abcd1234abcd1234abcd1234abcd1234abcd1234abcd1234abcd1234",
      "file_type": "Document",
      "new_filename": "111_222.pdf",
      "original_file_path": "/a.pdf",
      "original_revision_id": "ab2rij4i5ojgfd",
      "server_modified": "2019-08-12T12:08:52Z",
      "size": 3
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue"

payload = { "id": "pid_dbhid:abcd1234" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"id":"pid_dbhid:abcd1234"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue"

	payload := strings.NewReader("{\n  \"id\": \"pid_dbhid:abcd1234\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"pid_dbhid:abcd1234\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"pid_dbhid:abcd1234\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue', [
  'body' => '{
  "id": "pid_dbhid:abcd1234"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"pid_dbhid:abcd1234\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["id": "pid_dbhid:abcd1234"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/legal_holds/list_held_revisions_continue")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```